### Class

# Gsk DebugNode

since: 4.0

#### Description [src]

    final class Gsk.DebugNode : GObject.TypeInstance
    {
      /* No available fields */
    }

A render node that emits a debugging message when drawing its child node.

Available since: 4.0

#### Ancestors

- GskRenderNode

#### Constructors

###### gsk_debug_node_new

Creates a `GskRenderNode` that will add debug information about the given `child`.

since: 4.0

#### Instance methods

###### gsk_debug_node_get_child

Gets the child node that is getting drawn by the given `node`.

since: 4.0

###### gsk_debug_node_get_message

Gets the debug message that was set on this node.

since: 4.0

##### Methods inherited from GskRenderNode (7)

###### gsk_render_node_draw

Draw the contents of `node` to the given cairo context.

since: 4.0

###### gsk_render_node_get_bounds

Retrieves the boundaries of the `node`.

since: 4.0

###### gsk_render_node_get_node_type

Returns the type of the `node`.

since: 4.0

###### gsk_render_node_ref

Acquires a reference on the given `GskRenderNode`.

since: 4.0

###### gsk_render_node_serialize

Serializes the `node` for later deserialization via gsk_render_node_deserialize(). No guarantees are made about the format used other than that the same version of GTK will be able to deserialize the result of a call to `gsk_render_node_serialize()` and `gsk_render_node_deserialize()` will correctly reject files it cannot open that were created with previous versions of GTK.

since: 4.0

###### gsk_render_node_unref

Releases a reference on the given `GskRenderNode`.

since: 4.0

###### gsk_render_node_write_to_file

This function is equivalent to calling `gsk_render_node_serialize()` followed by `g_file_set_contents()`.

since: 4.0